<!DOCTYPE html>
<html lang="" xml:lang="">
<head>

  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Chapter 3 Model Selection | PMX Simulation in Shiny User Guide</title>
  <meta name="description" content="REGN PMX SHINY USER GUIDE" />
  <meta name="generator" content="bookdown 0.24 and GitBook 2.6.7" />

  <meta property="og:title" content="Chapter 3 Model Selection | PMX Simulation in Shiny User Guide" />
  <meta property="og:type" content="book" />
  <meta property="og:url" content="https://gitlab.com/" />
  
  <meta property="og:description" content="REGN PMX SHINY USER GUIDE" />
  

  <meta name="twitter:card" content="summary" />
  <meta name="twitter:title" content="Chapter 3 Model Selection | PMX Simulation in Shiny User Guide" />
  
  <meta name="twitter:description" content="REGN PMX SHINY USER GUIDE" />
  



<meta name="date" content="2022-11-18" />

  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta name="apple-mobile-web-app-status-bar-style" content="black" />
  
  <link rel="shortcut icon" href="images/favicon/favicon.png" type="image/x-icon" />
<link rel="prev" href="simsteps.html"/>
<link rel="next" href="simdet.html"/>
<script src="libs/header-attrs-2.11/header-attrs.js"></script>
<script src="libs/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/fuse.js@6.4.6/dist/fuse.min.js"></script>
<link href="libs/gitbook-2.6.7/css/style.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-table.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-bookdown.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-highlight.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-search.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-fontsettings.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-clipboard.css" rel="stylesheet" />








<link href="libs/anchor-sections-1.0.1/anchor-sections.css" rel="stylesheet" />
<script src="libs/anchor-sections-1.0.1/anchor-sections.js"></script>


<style type="text/css">
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  background-color: #f8f8f8; }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
code span.al { color: #ef2929; } /* Alert */
code span.an { color: #8f5902; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #c4a000; } /* Attribute */
code span.bn { color: #0000cf; } /* BaseN */
code span.cf { color: #204a87; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4e9a06; } /* Char */
code span.cn { color: #000000; } /* Constant */
code span.co { color: #8f5902; font-style: italic; } /* Comment */
code span.cv { color: #8f5902; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #8f5902; font-weight: bold; font-style: italic; } /* Documentation */
code span.dt { color: #204a87; } /* DataType */
code span.dv { color: #0000cf; } /* DecVal */
code span.er { color: #a40000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #0000cf; } /* Float */
code span.fu { color: #000000; } /* Function */
code span.im { } /* Import */
code span.in { color: #8f5902; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #204a87; font-weight: bold; } /* Keyword */
code span.op { color: #ce5c00; font-weight: bold; } /* Operator */
code span.ot { color: #8f5902; } /* Other */
code span.pp { color: #8f5902; font-style: italic; } /* Preprocessor */
code span.sc { color: #000000; } /* SpecialChar */
code span.ss { color: #4e9a06; } /* SpecialString */
code span.st { color: #4e9a06; } /* String */
code span.va { color: #000000; } /* Variable */
code span.vs { color: #4e9a06; } /* VerbatimString */
code span.wa { color: #8f5902; font-weight: bold; font-style: italic; } /* Warning */
</style>


<link rel="stylesheet" href="assets/style.css" type="text/css" />
</head>

<body>



  <div class="book without-animation with-summary font-size-2 font-family-1" data-basepath=".">

    <div class="book-summary">
      <nav role="navigation">

<ul class="summary">
<li class="toc-logo"><img src="images/Regeneron_logo.svg.png"></li>

<li class="divider"></li>
<li><a href="index.html#introduction" id="toc-introduction">Introduction</a>
<ul>
<li><a href="index.html#resources" id="toc-resources">Resources</a></li>
</ul></li>
<li><a href="dash.html#dash" id="toc-dash"><span class="toc-section-number">1</span> Dashboard</a></li>
<li><a href="simsteps.html#simsteps" id="toc-simsteps"><span class="toc-section-number">2</span> Simulation Steps</a></li>
<li><a href="modselect.html#modselect" id="toc-modselect"><span class="toc-section-number">3</span> Model Selection</a>
<ul>
<li><a href="modselect.html#modlib" id="toc-modlib"><span class="toc-section-number">3.1</span> Select from Model Library</a>
<ul>
<li><a href="modselect.html#model-library-abbreviations" id="toc-model-library-abbreviations"><span class="toc-section-number">3.1.1</span> Model Library Abbreviations</a></li>
<li><a href="modselect.html#population-pk-models" id="toc-population-pk-models"><span class="toc-section-number">3.1.2</span> Population PK Models</a></li>
<li><a href="modselect.html#target-mediated-drug-disposition-models" id="toc-target-mediated-drug-disposition-models"><span class="toc-section-number">3.1.3</span> Target-Mediated Drug Disposition Models</a></li>
</ul></li>
<li><a href="modselect.html#custommod" id="toc-custommod"><span class="toc-section-number">3.2</span> Upload Custom Model File</a></li>
<li><a href="modselect.html#load-model" id="toc-load-model"><span class="toc-section-number">3.3</span> Load Model</a></li>
<li><a href="modselect.html#model-parameters" id="toc-model-parameters"><span class="toc-section-number">3.4</span> Model Parameters</a>
<ul>
<li><a href="modselect.html#fe" id="toc-fe"><span class="toc-section-number">3.4.1</span> Fixed Effects</a></li>
<li><a href="modselect.html#random-effects" id="toc-random-effects"><span class="toc-section-number">3.4.2</span> Random Effects</a></li>
</ul></li>
</ul></li>
<li><a href="simdet.html#simdet" id="toc-simdet"><span class="toc-section-number">4</span> Simulation Details</a>
<ul>
<li><a href="simdet.html#define-dosing-regimen" id="toc-define-dosing-regimen"><span class="toc-section-number">4.1</span> Define Dosing Regimen</a>
<ul>
<li><a href="simdet.html#rx-label-syntax" id="toc-rx-label-syntax"><span class="toc-section-number">4.1.1</span> Rx Label Syntax</a></li>
</ul></li>
<li><a href="simdet.html#submit-dosing-regimen" id="toc-submit-dosing-regimen"><span class="toc-section-number">4.2</span> Submit Dosing Regimen</a></li>
<li><a href="simdet.html#simulation-options" id="toc-simulation-options"><span class="toc-section-number">4.3</span> Simulation Options</a>
<ul>
<li><a href="simdet.html#time-grid" id="toc-time-grid"><span class="toc-section-number">4.3.1</span> Time Grid</a></li>
<li><a href="simdet.html#simsettings" id="toc-simsettings"><span class="toc-section-number">4.3.2</span> Simulation Settings</a></li>
<li><a href="simdet.html#solver-settings" id="toc-solver-settings"><span class="toc-section-number">4.3.3</span> Solver Settings</a></li>
<li><a href="simdet.html#expand-rx-dataset" id="toc-expand-rx-dataset"><span class="toc-section-number">4.3.4</span> Expand Rx Dataset</a></li>
</ul></li>
</ul></li>
<li><a href="simulation-output.html#simulation-output" id="toc-simulation-output"><span class="toc-section-number">5</span> Simulation Output</a>
<ul>
<li><a href="simulation-output.html#user-settings-output-metrics" id="toc-user-settings-output-metrics"><span class="toc-section-number">5.1</span> User Settings &amp; Output Metrics</a>
<ul>
<li><a href="simulation-output.html#plotting-options" id="toc-plotting-options"><span class="toc-section-number">5.1.1</span> Plotting Options</a></li>
</ul></li>
<li><a href="simulation-output.html#start-simulation" id="toc-start-simulation"><span class="toc-section-number">5.2</span> Start Simulation</a></li>
<li><a href="simulation-output.html#pharmacokinetic-profiles" id="toc-pharmacokinetic-profiles"><span class="toc-section-number">5.3</span> Pharmacokinetic profiles</a></li>
<li><a href="simulation-output.html#summary-statistics" id="toc-summary-statistics"><span class="toc-section-number">5.4</span> Summary statistics</a></li>
</ul></li>
<li><a href="report-generation.html#report-generation" id="toc-report-generation"><span class="toc-section-number">6</span> Report Generation</a>
<ul>
<li><a href="report-generation.html#final-report" id="toc-final-report"><span class="toc-section-number">6.1</span> Final Report</a></li>
</ul></li>
<li><a href="general-information.html#general-information" id="toc-general-information"><span class="toc-section-number">7</span> General Information</a></li>
<li><a href="ref.html#ref" id="toc-ref"><span class="toc-section-number">8</span> References</a></li>
<li><a href="session-information.html#session-information" id="toc-session-information"><span class="toc-section-number">9</span> Session Information</a></li>
</ul>

      </nav>
    </div>

    <div class="book-body">
      <div class="body-inner">
        <div class="book-header" role="navigation">
          <h1>
            <i class="fa fa-circle-o-notch fa-spin"></i><a href="./">PMX Simulation in Shiny User Guide</a>
          </h1>
        </div>

        <div class="page-wrapper" tabindex="-1" role="main">
          <div class="page-inner">

            <section class="normal" id="section-">
<div id="modselect" class="section level1" number="3">
<h1><span class="header-section-number">Chapter 3</span> Model Selection</h1>
<blockquote class="style1">
<strong>Step 1/4 of Simulation Steps</strong>
</blockquote>
<p>This application comes with a model library to select from, which can be found as indexed in <span style=" font-weight: bold;    color: white !important;border-radius: 4px; padding-right: 4px; padding-left: 4px; background-color: #337AFF !important;">Select from Model Library</span>.</p>
<p>Model Selection also allows users to <span style=" font-weight: bold;    color: white !important;border-radius: 4px; padding-right: 4px; padding-left: 4px; background-color: #337AFF !important;">Upload Custom Model File</span> for user-defined model specifications that may not be in the model library.</p>
<p> </p>
<div id="modlib" class="section level2" number="3.1">
<h2><span class="header-section-number">3.1</span> Select from Model Library</h2>
<p>The model library includes a collection of standard pharmacokinetic (PK) models for biologics:</p>
<p> </p>
<div id="model-library-abbreviations" class="section level3" number="3.1.1">
<h3><span class="header-section-number">3.1.1</span> Model Library Abbreviations</h3>
<ul>
<li><strong>popPK</strong>: population pharmacokinetic model</li>
<li><strong>cmt</strong>: compartment</li>
<li><strong>mm</strong>: Michaelis-Menten</li>
<li><strong>iv</strong>: intravenous injection</li>
<li><strong>sc</strong>: subcutaneous injection</li>
<li><strong>tmdd</strong>: target mediated drug disposition</li>
<li><strong>abs</strong>: absorption compartment</li>
<li><strong>const</strong>: constant</li>
<li><strong>qe</strong>: quasi-equilibrium</li>
<li><strong>qss</strong>: quasi-steady state</li>
</ul>
</div>
<div id="population-pk-models" class="section level3" number="3.1.2">
<h3><span class="header-section-number">3.1.2</span> Population PK Models</h3>
<ul>
<li><strong>popPK_1cmt_mm_iv-sc</strong>: 1 compartment PK with Michaelis-Menten elimination &amp; IV/SC dosing</li>
<li><strong>popPK_1cmt_linear_iv-sc</strong>: 1 compartment PK with linear elimination &amp; IV/SC dosing</li>
<li><strong>popPK_1cmt_linear-mm_iv-sc</strong>: 1 compartment PK with Michaelis-Menten/linear elimination &amp; IV/SC dosing</li>
<li><strong>popPK_2cmt_mm_iv-sc</strong>: 2 compartment PK with Michaelis-Menten elimination &amp; IV/SC dosing</li>
<li><strong>popPK_2cmt_linear_iv-sc</strong>: 2 compartment PK with linear elimination &amp; IV/SC dosing</li>
<li><strong>popPK_2cmt_linear-mm_iv-sc</strong>: 2 compartment PK with Michaelis-Menten/linear elimination &amp; IV/SC dosing</li>
<li><strong>popPK_3cmt_linear_iv-sc</strong>: 3 compartment PK with linear elimination &amp; IV/SC dosing</li>
</ul>
</div>
<div id="target-mediated-drug-disposition-models" class="section level3" number="3.1.3">
<h3><span class="header-section-number">3.1.3</span> Target-Mediated Drug Disposition Models</h3>
<ul>
<li><strong>tmdd_full_2cmt_1abs</strong>: 2 compartment full TMDD model</li>
<li><strong>tmdd_mm_2cmt_1abs</strong>: 2 compartment TMDD model under Michaelis-Menten approximation</li>
<li><strong>tmdd_mm-const_2cmt_1abs</strong>: 2 compartment TMDD model under Michaelis-Menten approximation with constant concentration of target</li>
<li><strong>tmdd_qe_2cmt_1abs</strong>: 2 compartment TMDD model under quasi-equilibrium approximation</li>
<li><strong>tmdd_qe-const_2cmt_1abs</strong>: 2 compartment TMDD model under quasi-equilibrium approximation with constant concentration of target</li>
<li><strong>tmdd_qss_2cmt_1abs</strong>: 2 compartment TMDD model under quasi-steady state approximation</li>
<li><strong>tmdd_qss-const_2cmt_1abs</strong>: 2 compartment TMDD model under quasi-steady state approximation with constant concentration of target</li>
</ul>
<p> </p>
</div>
</div>
<div id="custommod" class="section level2" number="3.2">
<h2><span class="header-section-number">3.2</span> Upload Custom Model File</h2>
<p>Users can upload a custom model-specification file <code>(.cpp)</code> that is compatible with this application.</p>
<p>A fully annotated example <font color="darkred"><strong><code>mrgsolve</code></strong></font> model specification file from the model library is shown below:</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb1-1"><a href="modselect.html#cb1-1" aria-hidden="true" tabindex="-1"></a>Currently loaded model<span class="sc">:</span> popPK_1cmt_linear_iv<span class="sc">-</span>sc</span>
<span id="cb1-2"><a href="modselect.html#cb1-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-3"><a href="modselect.html#cb1-3" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-4"><a href="modselect.html#cb1-4" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>PARAM <span class="sc">@</span>annotated</span>
<span id="cb1-5"><a href="modselect.html#cb1-5" aria-hidden="true" tabindex="-1"></a>TVCL   <span class="sc">:</span> <span class="fl">1.0000</span> <span class="sc">:</span> <span class="fu">Clearance</span> (L<span class="sc">/</span>day)</span>
<span id="cb1-6"><a href="modselect.html#cb1-6" aria-hidden="true" tabindex="-1"></a>TVV2   <span class="sc">:</span> <span class="fl">25.000</span> <span class="sc">:</span> Central volume of <span class="fu">distribution</span> (L)</span>
<span id="cb1-7"><a href="modselect.html#cb1-7" aria-hidden="true" tabindex="-1"></a>TVKA   <span class="sc">:</span> <span class="fl">0.5000</span> <span class="sc">:</span> Absorption rate <span class="fu">constant</span> (<span class="dv">1</span><span class="sc">/</span>day)</span>
<span id="cb1-8"><a href="modselect.html#cb1-8" aria-hidden="true" tabindex="-1"></a>TVF1   <span class="sc">:</span> <span class="fl">0.6100</span> <span class="sc">:</span> <span class="fu">Bioavailability</span> (unitless)</span>
<span id="cb1-9"><a href="modselect.html#cb1-9" aria-hidden="true" tabindex="-1"></a>DOSE   <span class="sc">:</span> <span class="dv">0</span>      <span class="sc">:</span> Dose <span class="fu">amount</span> (mg)</span>
<span id="cb1-10"><a href="modselect.html#cb1-10" aria-hidden="true" tabindex="-1"></a>REGNUM <span class="sc">:</span> <span class="dv">0</span>      <span class="sc">:</span> Dose regimen numeric <span class="fu">ID</span> (unitless)</span>
<span id="cb1-11"><a href="modselect.html#cb1-11" aria-hidden="true" tabindex="-1"></a>WT     <span class="sc">:</span> <span class="fl">70.0</span>   <span class="sc">:</span> Baseline subject body <span class="fu">weight</span> (kg)</span>
<span id="cb1-12"><a href="modselect.html#cb1-12" aria-hidden="true" tabindex="-1"></a>WTREF  <span class="sc">:</span> <span class="fl">70.0</span>   <span class="sc">:</span> Reference body <span class="fu">weight</span> (kg)</span>
<span id="cb1-13"><a href="modselect.html#cb1-13" aria-hidden="true" tabindex="-1"></a>WTCL   <span class="sc">:</span> <span class="fl">0.75</span>   <span class="sc">:</span> Power law exponent <span class="cf">for</span> body weight on <span class="fu">CL</span> (unitless)</span>
<span id="cb1-14"><a href="modselect.html#cb1-14" aria-hidden="true" tabindex="-1"></a>WTV2   <span class="sc">:</span> <span class="fl">1.00</span>   <span class="sc">:</span> Power law exponent <span class="cf">for</span> body weight on <span class="fu">V2</span> (unitless)</span>
<span id="cb1-15"><a href="modselect.html#cb1-15" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-16"><a href="modselect.html#cb1-16" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-17"><a href="modselect.html#cb1-17" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>CMT <span class="sc">@</span>annotated</span>
<span id="cb1-18"><a href="modselect.html#cb1-18" aria-hidden="true" tabindex="-1"></a>ABS    <span class="sc">:</span> SC dose absorption <span class="fu">compartment</span> (mg)</span>
<span id="cb1-19"><a href="modselect.html#cb1-19" aria-hidden="true" tabindex="-1"></a>CENT   <span class="sc">:</span> Central <span class="fu">compartment</span> (mg)</span>
<span id="cb1-20"><a href="modselect.html#cb1-20" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-21"><a href="modselect.html#cb1-21" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-22"><a href="modselect.html#cb1-22" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>OMEGA <span class="sc">@</span>annotated</span>
<span id="cb1-23"><a href="modselect.html#cb1-23" aria-hidden="true" tabindex="-1"></a>ETA_CL   <span class="sc">:</span> <span class="fl">0.1000</span> <span class="sc">:</span> IIV on <span class="fu">CL</span> (L<span class="sc">/</span>day)</span>
<span id="cb1-24"><a href="modselect.html#cb1-24" aria-hidden="true" tabindex="-1"></a>ETA_V2   <span class="sc">:</span> <span class="fl">0.1000</span> <span class="sc">:</span> IIV on <span class="fu">V2</span> (L)</span>
<span id="cb1-25"><a href="modselect.html#cb1-25" aria-hidden="true" tabindex="-1"></a>ETA_KA   <span class="sc">:</span> <span class="fl">0.0100</span> <span class="sc">:</span> IIV on <span class="fu">KA</span> (<span class="dv">1</span><span class="sc">/</span>day)</span>
<span id="cb1-26"><a href="modselect.html#cb1-26" aria-hidden="true" tabindex="-1"></a>ETA_F1   <span class="sc">:</span> <span class="fl">0.0100</span> <span class="sc">:</span> IIV on <span class="fu">F1</span> (unitless)</span>
<span id="cb1-27"><a href="modselect.html#cb1-27" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-28"><a href="modselect.html#cb1-28" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-29"><a href="modselect.html#cb1-29" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>SIGMA <span class="sc">@</span>annotated</span>
<span id="cb1-30"><a href="modselect.html#cb1-30" aria-hidden="true" tabindex="-1"></a>PROP <span class="sc">:</span> <span class="fl">0.0001</span> <span class="sc">:</span> Proportional residual <span class="fu">error</span> (unitless)</span>
<span id="cb1-31"><a href="modselect.html#cb1-31" aria-hidden="true" tabindex="-1"></a>ADD  <span class="sc">:</span> <span class="fl">0.1000</span> <span class="sc">:</span> Additive residual <span class="fu">error</span> (mg<span class="sc">/</span>L)</span>
<span id="cb1-32"><a href="modselect.html#cb1-32" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-33"><a href="modselect.html#cb1-33" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-34"><a href="modselect.html#cb1-34" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>MAIN</span>
<span id="cb1-35"><a href="modselect.html#cb1-35" aria-hidden="true" tabindex="-1"></a>double CL <span class="ot">=</span> TVCL <span class="sc">*</span> <span class="fu">exp</span>(ETA_CL) <span class="sc">*</span> <span class="fu">pow</span>(WT<span class="sc">/</span>WTREF, WTCL);</span>
<span id="cb1-36"><a href="modselect.html#cb1-36" aria-hidden="true" tabindex="-1"></a>double V2 <span class="ot">=</span> TVV2 <span class="sc">*</span> <span class="fu">exp</span>(ETA_V2) <span class="sc">*</span> <span class="fu">pow</span>(WT<span class="sc">/</span>WTREF, WTV2);</span>
<span id="cb1-37"><a href="modselect.html#cb1-37" aria-hidden="true" tabindex="-1"></a>double KA <span class="ot">=</span> TVKA <span class="sc">*</span> <span class="fu">exp</span>(ETA_KA);</span>
<span id="cb1-38"><a href="modselect.html#cb1-38" aria-hidden="true" tabindex="-1"></a>double F1 <span class="ot">=</span> (<span class="fu">exp</span>(TVF1 <span class="sc">+</span> ETA_F1) <span class="sc">/</span> (<span class="dv">1</span> <span class="sc">+</span> <span class="fu">exp</span>(TVF1 <span class="sc">+</span> ETA_F1)));</span>
<span id="cb1-39"><a href="modselect.html#cb1-39" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-40"><a href="modselect.html#cb1-40" aria-hidden="true" tabindex="-1"></a>F_ABS <span class="ot">=</span> F1;</span>
<span id="cb1-41"><a href="modselect.html#cb1-41" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-42"><a href="modselect.html#cb1-42" aria-hidden="true" tabindex="-1"></a>double S2 <span class="ot">=</span> V2;  <span class="sc">/</span><span class="er">/</span> Scaling factor <span class="cf">for</span> central volume<span class="sc">:</span>  dose <span class="ot">=</span> mg; conc <span class="ot">=</span> mg<span class="sc">/</span>L</span>
<span id="cb1-43"><a href="modselect.html#cb1-43" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-44"><a href="modselect.html#cb1-44" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-45"><a href="modselect.html#cb1-45" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>ODE</span>
<span id="cb1-46"><a href="modselect.html#cb1-46" aria-hidden="true" tabindex="-1"></a>dxdt_ABS    <span class="ot">=</span> <span class="sc">-</span>KA<span class="sc">*</span>ABS;</span>
<span id="cb1-47"><a href="modselect.html#cb1-47" aria-hidden="true" tabindex="-1"></a>dxdt_CENT   <span class="ot">=</span>  KA<span class="sc">*</span>ABS <span class="sc">-</span> (CL<span class="sc">/</span>V2)<span class="sc">*</span>CENT;</span>
<span id="cb1-48"><a href="modselect.html#cb1-48" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-49"><a href="modselect.html#cb1-49" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-50"><a href="modselect.html#cb1-50" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>TABLE</span>
<span id="cb1-51"><a href="modselect.html#cb1-51" aria-hidden="true" tabindex="-1"></a>double IPRED <span class="ot">=</span> (CENT<span class="sc">/</span>S2);</span>
<span id="cb1-52"><a href="modselect.html#cb1-52" aria-hidden="true" tabindex="-1"></a>double CP <span class="ot">=</span> IPRED;</span>
<span id="cb1-53"><a href="modselect.html#cb1-53" aria-hidden="true" tabindex="-1"></a>double DV <span class="ot">=</span> IPRED<span class="sc">*</span>(<span class="dv">1</span><span class="sc">+</span>PROP)<span class="sc">+</span>ADD;</span>
<span id="cb1-54"><a href="modselect.html#cb1-54" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-55"><a href="modselect.html#cb1-55" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-56"><a href="modselect.html#cb1-56" aria-hidden="true" tabindex="-1"></a><span class="sc">/</span><span class="er">/</span> resimulate residual <span class="fu">error</span> (SIGMA) parameters <span class="cf">if</span> concentration is negative </span>
<span id="cb1-57"><a href="modselect.html#cb1-57" aria-hidden="true" tabindex="-1"></a>int i <span class="ot">=</span> <span class="dv">1</span>;</span>
<span id="cb1-58"><a href="modselect.html#cb1-58" aria-hidden="true" tabindex="-1"></a><span class="cf">while</span>(DV <span class="sc">&lt;</span> <span class="dv">0</span> <span class="sc">&amp;</span> i <span class="sc">&lt;=</span> <span class="dv">100</span>) {</span>
<span id="cb1-59"><a href="modselect.html#cb1-59" aria-hidden="true" tabindex="-1"></a>    <span class="fu">simeps</span>(<span class="dv">1</span>);</span>
<span id="cb1-60"><a href="modselect.html#cb1-60" aria-hidden="true" tabindex="-1"></a>    <span class="fu">simeps</span>(<span class="dv">2</span>);</span>
<span id="cb1-61"><a href="modselect.html#cb1-61" aria-hidden="true" tabindex="-1"></a>    DV <span class="ot">=</span> IPRED <span class="sc">*</span> (<span class="dv">1</span> <span class="sc">+</span> PROP) <span class="sc">+</span> ADD;</span>
<span id="cb1-62"><a href="modselect.html#cb1-62" aria-hidden="true" tabindex="-1"></a>    i<span class="sc">++</span>;</span>
<span id="cb1-63"><a href="modselect.html#cb1-63" aria-hidden="true" tabindex="-1"></a>}</span>
<span id="cb1-64"><a href="modselect.html#cb1-64" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-65"><a href="modselect.html#cb1-65" aria-hidden="true" tabindex="-1"></a><span class="cf">if</span>(i <span class="sc">&gt;</span> <span class="dv">100</span>) mrg<span class="sc">::</span><span class="fu">report</span>(<span class="st">&quot;Positive concentrations could not be obtained.&quot;</span>);</span>
<span id="cb1-66"><a href="modselect.html#cb1-66" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-67"><a href="modselect.html#cb1-67" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb1-68"><a href="modselect.html#cb1-68" aria-hidden="true" tabindex="-1"></a><span class="sc">$</span>CAPTURE <span class="sc">@</span>annotated</span>
<span id="cb1-69"><a href="modselect.html#cb1-69" aria-hidden="true" tabindex="-1"></a>DOSE   <span class="sc">:</span> Dose <span class="fu">amount</span> (mg)</span>
<span id="cb1-70"><a href="modselect.html#cb1-70" aria-hidden="true" tabindex="-1"></a>REGNUM <span class="sc">:</span> Dose regimen numeric <span class="fu">ID</span> (unitless)</span>
<span id="cb1-71"><a href="modselect.html#cb1-71" aria-hidden="true" tabindex="-1"></a>WT     <span class="sc">:</span> Baseline subject body <span class="fu">weight</span> (kg)</span>
<span id="cb1-72"><a href="modselect.html#cb1-72" aria-hidden="true" tabindex="-1"></a>WTREF  <span class="sc">:</span> Reference body <span class="fu">weight</span> (kg)</span>
<span id="cb1-73"><a href="modselect.html#cb1-73" aria-hidden="true" tabindex="-1"></a>DV     <span class="sc">:</span> Plasma <span class="fu">concentration</span> (mg<span class="sc">/</span>L)</span>
<span id="cb1-74"><a href="modselect.html#cb1-74" aria-hidden="true" tabindex="-1"></a>IPRED  <span class="sc">:</span> Individual predicted plasma <span class="fu">concentration</span> (mg<span class="sc">/</span>L)</span></code></pre></div>
<hr />
<div class="line-block"><a href="https://mrgsolve.org/user_guide/model-specification.html#model-specification" title="mrgsolve: Chapter 2 Model specification">mrgsolve: Model Specification</a><br />
<a href="https://mrgsolve.org/user_guide/model-specification.html#code-blocks" title="mrgsolve: Chapter 2 Model Specification">mrgsolve: Code blocks</a><br />
<a href="https://mrgsolve.org/user_guide/model-specification.html#examples" title="mrgsolve: Chapter 2.6 Examples">mrgsolve: Examples</a><br />
<a href="https://mrgsolve.org/user_guide/topics.html#topic-annotated" title="mrgsolve: Chapter 10 Topics">mrgsolve: Annotated model specification</a></div>
<hr />
<p> </p>
</div>
<div id="load-model" class="section level2" number="3.3">
<h2><span class="header-section-number">3.3</span> Load Model</h2>
<p>After selecting a model from the library or uploading a custom model, execute <span style=" font-weight: bold;    color: white !important;border-radius: 4px; padding-right: 4px; padding-left: 4px; background-color: #337AFF !important;">Load Model </span>.</p>
<p>If the model file is properly formatted, the name of the model should appear under <strong>Currently loaded model</strong> and the contents of the model file should appear under <strong>Model Specification file</strong>.</p>
<p>If an invalid model specification file is uploaded, users will be notified with an error message stating: (“<font color="red"><em><em>Invalid model specification file! Please select a different model…</em></em></font>”)</p>
<p> </p>
<p><img src="images/loadmodel.png" /></p>
<p> </p>
</div>
<div id="model-parameters" class="section level2" number="3.4">
<h2><span class="header-section-number">3.4</span> Model Parameters</h2>
<div id="fe" class="section level3" number="3.4.1">
<h3><span class="header-section-number">3.4.1</span> Fixed Effects</h3>
<p><span style=" font-weight: bold;    color: white !important;border-radius: 4px; padding-right: 4px; padding-left: 4px; background-color: #337AFF !important;">Fixed Effects</span> provides a pop-up window that allows users to specify values for parameters defined in the <code>$PARAM</code> code block of the model file.</p>
<p>An example of how fixed effects are linked to the model specification file is shown below.</p>
<p> </p>
<!--colors 238, 205, 149  -->
<p><img src="images/upload_custom_model.png" />
 </p>
<p><img src="images/fixedparams.png" /></p>
<p> </p>
</div>
<div id="random-effects" class="section level3" number="3.4.2">
<h3><span class="header-section-number">3.4.2</span> Random Effects</h3>
<p><span style=" font-weight: bold;    color: white !important;border-radius: 4px; padding-right: 4px; padding-left: 4px; background-color: #337AFF !important;">Random Effects</span> provides a pop-up window with variability options that allows the user to simulate variates using three options:</p>
<ul>
<li>Skip random effects using: <font color="green"><strong><code>None</code></strong></font></li>
<li>Simulate between-subject random effects (one draw per individual) using: <font color="green"><strong><code>Interindividual Variability</code></strong></font></li>
<li>Simulate within-subject random effects (one draw per observation) using: <font color="green"><strong><code>Residual Variability</code></strong></font></li>
<li>Simulate using between and within subject random effects using: <font color="green"><strong><code>Both</code></strong></font></li>
</ul>
<p><img src="images/randomeffects.png" /></p>
<p>These random effect matrices are presented in correlation matrix form where:</p>
<ul>
<li>Diagonal elements: variances</li>
<li>Off-diagonal elements: correlations. Valid off-diagonal elements must be in the range: <code>[-1, 1]</code>.</li>
</ul>
<p> </p>
<p>The <span style=" font-weight: bold;    color: white !important;border-radius: 4px; padding-right: 4px; padding-left: 4px; background-color: #337AFF !important;">Check Matrices</span> function initiates matrix validation tests which check for the following:</p>
<ol style="list-style-type: decimal">
<li>Square matrix</li>
<li>Symmetric matrix</li>
<li>Pass matrix into <font color="darkred"><strong><code>mrgsolve::mvgauss()</code></strong></font> and verify valid results (invalid matrices produce <code>NaN</code> results)</li>
</ol>
<hr />
<div class="line-block"><a href="https://mrgsolve.org/docs/reference/mvgauss.html" title="Simulate from a multivariate normal distribution with mean zero">mrgsolve::mvgauss()</a></div>
<hr />
<p>Transient pop-up messages will appear stating the results of the validation check for each variability option in the form of:</p>
<p><img src="images/successfulcheck.png" title="Fig. 6" />
<img src="images/failedcheck.png" title="Fig. 7" /></p>
<hr />
<div class="line-block"><a href="https://mrgsolve.org/user_guide/model-components.html#random-effect-variances" title="mrgsolve: Chapter 1.6 Random effect variances">mrgsolve: Random effect variances</a></div>
<hr />
<p> </p>
</div>
</div>
</div>
            </section>

          </div>
        </div>
      </div>
<a href="simsteps.html" class="navigation navigation-prev " aria-label="Previous page"><i class="fa fa-angle-left"></i></a>
<a href="simdet.html" class="navigation navigation-next " aria-label="Next page"><i class="fa fa-angle-right"></i></a>
    </div>
  </div>
<script src="libs/gitbook-2.6.7/js/app.min.js"></script>
<script src="libs/gitbook-2.6.7/js/clipboard.min.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-search.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-sharing.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-fontsettings.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-bookdown.js"></script>
<script src="libs/gitbook-2.6.7/js/jquery.highlight.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-clipboard.js"></script>
<script>
gitbook.require(["gitbook"], function(gitbook) {
gitbook.start({
"sharing": {
"github": true,
"facebook": false,
"twitter": true,
"linkedin": false,
"weibo": false,
"instapaper": false,
"vk": false,
"whatsapp": false,
"all": false
},
"fontsettings": {
"theme": "white",
"family": "sans",
"size": 2
},
"edit": {
"link": "https://gitlab.com/regn-collab/20211201_TablerPMX/index.Rmd",
"text": "Edit"
},
"history": {
"link": null,
"text": null
},
"view": {
"link": null,
"text": null
},
"download": ["_main.pdf"],
"search": {
"engine": "fuse",
"options": null
},
"toc": {
"collapse": false
}
});
});
</script>

</body>

</html>
